summaryrefslogtreecommitdiffstats
path: root/source/l/db44/db44.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/db44/db44.SlackBuild')
-rwxr-xr-xsource/l/db44/db44.SlackBuild42
1 files changed, 28 insertions, 14 deletions
diff --git a/source/l/db44/db44.SlackBuild b/source/l/db44/db44.SlackBuild
index 58aa279ac..fb6fe1f94 100755
--- a/source/l/db44/db44.SlackBuild
+++ b/source/l/db44/db44.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,28 +20,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=db44
VERSION=4.4.20
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-db44
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -56,12 +65,12 @@ fi
cd $TMP
rm -rf db-$VERSION
-tar xjvf $CWD/db-$VERSION.tar.bz2
-cd db-$VERSION
+tar xvf $CWD/db-$VERSION.tar.bz2 || exit 1
+cd db-$VERSION || exit 1
# Official patches:
-zcat $CWD/patch.4.4.20.1.gz | patch -p0 --verbose
-zcat $CWD/patch.4.4.20.2.gz | patch -p0 --verbose
+zcat $CWD/patch.4.4.20.1.gz | patch -p0 --verbose || exit 1
+zcat $CWD/patch.4.4.20.2.gz | patch -p0 --verbose || exit 1
chown -R root:root .
find . \
@@ -73,6 +82,7 @@ find . \
rm -rf build-dir
mkdir build-dir
cd build-dir
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
../dist/configure \
@@ -82,10 +92,14 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-rpc \
--enable-cxx \
--enable-compat185 \
- $ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
+
+make -j3 || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
-make -j3
-make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null